# cpl_core.database.connection package

## Submodules

## cpl_core.database.connection.database_connection module

class cpl_core.database.connection.database_connection.DatabaseConnection

  Bases: `DatabaseConnectionABC`

  Representation of the database connection

  connect(database_settings: DatabaseSettings )

    Connects to a database by connection string

    Parameter:
      connection_string: `str`

        Database connection string, see: https://docs.sqlalchemy.org/en/14/core/engines.html

  property cursor: MySQLCursorBuffered
  property server: MySQLConnectionAbstract

## cpl_core.database.connection.database_connection_abc module

class cpl_core.database.connection.database_connection_abc.DatabaseConnectionABC

  Bases: `ABC`

  ABC for the `cpl_core.database.connection.database_connection.DatabaseConnection`

  abstract connect(database_settings: DatabaseSettings )

    Connects to a database by connection string

    Parameter:
      connection_string: `str`

        Database connection string, see: https://docs.sqlalchemy.org/en/14/core/engines.html

  abstract property cursor: MySQLCursorBuffered
  abstract property server: MySQLConnectionAbstract

## Module contents

### cpl-core CPL core

CPL core package

copyright

  3. 2020 - 2023 sh-edraft.de

license

  MIT, see LICENSE for more details.

class cpl_core.database.connection.VersionInfo(major, minor, micro)

  Bases: `tuple`

  major

    Alias for field number 0

  micro

    Alias for field number 2

  minor

    Alias for field number 1